﻿using System;
using System.ComponentModel.DataAnnotations;

namespace StudentMonitoring.Persistence
{
    public class Mark
    {
        [Key]
        public int Id { get; set; }

        [Required]
        public DateTime Timestamp { get; set; }

        [Required]
        [Range(1, 5)]
        public short Grade { get; set; }

        [Required]
        public Student Student { get; set; }

        [Required]
        public Course Course { get; set; }
    }
}