﻿using System.Collections;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace StudentMonitoring.Persistence
{
    public class Student
    {
        [Key]
        [MaxLength(6)]
        public string StudentCode { get; set; }

        [MaxLength(50)]
        [Required]
        public string Name { get; set; }

        [MaxLength(50)]
        [Required]
        public string EmailAddress { get; set; }

        public ICollection<Mark> Marks { get; set; }
    }
}